org.hibernate.search.engine.metadata.impl

## Interface MetadataProvider

- All Known Implementing Classes:
    AnnotationMetadataProvider

      public interface MetadataProvider

  Author:
    Hardy Ferentschik

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsSearchMetadata(IndexedTypeIdentifier type)`
    `TypeMetadata` | `getTypeMetadataFor(IndexedTypeIdentifier type, IndexManagerType indexManagerType)` Returns the Search related metadata for the specified type.
    `TypeMetadata` | `getTypeMetadataForContainedIn(IndexedTypeIdentifier type)` Returns the `ContainedIn` related metadata for the specified type.

- - ### Method Detail

    - #### getTypeMetadataFor

          TypeMetadata getTypeMetadataFor(IndexedTypeIdentifier type,
                                          IndexManagerType indexManagerType)

      Returns the Search related metadata for the specified type.
      Parameters:
        `type` - The type of interest.
        `indexManagerType` - the `IndexManagerType` type managing this entity type
      Returns:
        the `TypeMetadata` for the specified type

    - #### getTypeMetadataForContainedIn

          TypeMetadata getTypeMetadataForContainedIn(IndexedTypeIdentifier type)

      Returns the `ContainedIn` related metadata for the specified type.

      The metadata for `ContainedIn` are not comprehensive: they do not contain the information about the FieldBridges, the analyzers or the NullMarkerCodecs.

      We can't build these information because classes only marked with `ContainedIn` are not tied to an `IndexManager`.

      It's of no use for `ContainedIn` resolution anyway.

      Parameters:
        `type` - The type of interest.
      Returns:
        the `ContainedInTypeMetadata` for the specified type

    - #### containsSearchMetadata

          boolean containsSearchMetadata(IndexedTypeIdentifier type)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved